> For the complete documentation index, see [llms.txt](https://docs.trymito.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trymito.io/mito-ai/mito-ai-mcp-server.md).

# Mito AI MCP Server

Connect and use the Mito Agent in your application of choice using an MCP server

This server enables LLMs to perform better data analysis and visualization, including best-in-class Excel-to-Python workflows.

### Prerequisites&#x20;

To use the Mito AI MCP server the only requirement is uv. You can find installation instructions [here](https://docs.astral.sh/uv/getting-started/installation/).

### Cursor

**One-click install**

For quick installation, use the one-click install:

[![Install in Cursor](https://img.shields.io/badge/Cursor-UV-000000?style=flat-square\&logo=cursor\&logoColor=white)](https://trymito.io/install/cursor?method=uv)

<details>

<summary>Manual install instructions</summary>

To manually add the server to Cursor, open the Command Palette (`Ctrl + Shift + P`) and go to `Cursor Settings: Tools & MCPs`. Scroll to *Install MCP Server* and select *Add Custom MCP*. This will open a JSON file with an `mcpServers` object, add the appropriate config there:

```json
{
  "mcpServers": {
    "mito-ai": {
      "command": "uvx",
      "args": [
        "mito-ai-mcp"
      ]
    }
  }
}
```

</details>

### VS Code

**One-click install**

For quick installation, use the one-click install:

[![Install with UV in VS Code](https://img.shields.io/badge/VS_Code-UV-0098FF?style=flat-square\&logo=visualstudiocode\&logoColor=white)](https://trymito.io/install/vs-code?method=uv)

<details>

<summary>Manual install instructions</summary>

For manual installation, add the following JSON block to your User Settings (JSON) file in VS Code. You can do this by pressing `Ctrl + Shift + P` and typing `Preferences: Open User Settings (JSON)`.

Optionally, you can add it to a file called `.vscode/mcp.json` in your workspace. This will allow you to share the configuration with others.

> Note that the `mcp` key is needed when using the `mcp.json` file.

Add the following MCP config:

```json
{
  "mcp": {
    "servers": {
      "mito-ai": {
        "command": "uvx",
        "args": ["mito-ai-mcp"]
      }
    }
  }
}
```

</details>

### Claude Desktop

**One-click install**

1. Download the mcp bundle: [![mito-ai-mcp.mcpb](https://img.shields.io/badge/Claude-mcpb-DE7356?style=flat-square\&logo=claude\&logoColor=white)](https://github.com/mito-ds/mito/releases/latest/download/mito-ai-mcp.mcpb)
2. Double-click the `.mcpb` file. This should open Claude; follow the directions on screen.

### Claude Code

In your terminal enter:

```bash
claude mcp add --transport stdio mito-ai -- uvx mito-ai-mcp
```

You should see a success message on submit. You can also enter `claude` from the terminal, and use the `/mcp` command to make sure the mito-ai MCP server is connected.

### Other Applications

To connect the to this server in another MCP-compatible app, find its MCP settings page in the docs.

Then add:

* **Name**: mito-ai
* **Type**: stdio
* **Command**: uvx
* **Arguments**: mito-ai-mcp

\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trymito.io/mito-ai/mito-ai-mcp-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
